summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorIyán Méndez Veiga2019-03-07 18:19:27 +0100
committerIyán Méndez Veiga2019-03-07 18:19:27 +0100
commit4f96c0d456c34493143a4176a56514f812c8a00a (patch)
treeedd24e39f5be5e4eac2e22897c45f4f4db4b0775 /PKGBUILD
parentb94d8e87b9ba6a794257ed581973c9b7a3233654 (diff)
downloadaur-4f96c0d456c34493143a4176a56514f812c8a00a.tar.gz
Modify pkgver function & update pkgver commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD19
1 files changed, 8 insertions, 11 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 62cc223a0af..3919ec183b6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
pkgname=rtl88xxau-aircrack-dkms-git
_pkgbase=rtl88xxau
-pkgver=r600.983ec8c
+pkgver=r603.377c12c
pkgrel=1
pkgdesc="Aircrack-ng kernel module for Realtek 88XXau (USB adapters only) network cards (8811au, 8812au, 8814au and 8821au chipsets) with monitor mode and injection support"
url="https://github.com/aircrack-ng/rtl8812au#branch=v5.2.20"
@@ -13,11 +13,7 @@ arch=('any')
makedepends=('git')
depends=('dkms')
replaces=('rtl8812au-aircrack-dkms-git')
-conflicts=('rtl8812au-aircrack-dkms-git'
-'rtl8812au-dkms-git'
-'rtl8821au-dkms-git'
-'rtl8814au-dkms-git'
-'rtl8812au-inject-dkms-git')
+conflicts=('rtl8812au-aircrack-dkms-git' 'rtl8812au-dkms-git' 'rtl8821au-dkms-git' 'rtl8814au-dkms-git' 'rtl8812au-inject-dkms-git')
source=('rtl88xxau::git+https://github.com/aircrack-ng/rtl8812au.git#branch=v5.2.20'
'dkms.conf')
@@ -26,8 +22,11 @@ sha256sums=('SKIP'
'be0923c2d727f0d64312e879b2887dee04fc5d8c405150a7318a0c9ef08daefc')
pkgver() {
- cd ${srcdir}/${_pkgbase}
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ cd ${srcdir}/${_pkgbase}
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
package() {
@@ -40,6 +39,4 @@ package() {
sed -e "s/@_PKGBASE@/${_pkgbase}-dkms/" \
-e "s/@PKGVER@/${pkgver}/" \
-i "${pkgdir}"/usr/src/${_pkgbase}-${pkgver}/dkms.conf
-}
-
-# vim:set ts=2 sw=2 et: \ No newline at end of file
+} \ No newline at end of file